Package org.eclipse.microprofile.faulttolerance

# Class Fallback.DEFAULT

java.lang.Object
org.eclipse.microprofile.faulttolerance.Fallback.DEFAULT

All Implemented Interfaces:
  `FallbackHandler<Void>`

Enclosing class:
  Fallback

public static class Fallback.DEFAULT extends Object implements FallbackHandler<Void>
Create a default class so the value is not required to be set all the time.

## Constructor Summary

Constructors
Constructor
Description
`DEFAULT()`

## Method Summary

Modifier and Type
Method
Description
`Void`
`handle(ExecutionContext context)`
Handle the previous calling failure and then call alternative methods or perform any alternative operations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DEFAULT

public DEFAULT()

## Method Details

### handle

public Void handle(ExecutionContext context)
Description copied from interface: `FallbackHandler`
Handle the previous calling failure and then call alternative methods or perform any alternative operations.

Specified by:
  `handle` in interface `FallbackHandler<Void>`
Parameters:
  `context` - the execution context
Returns:
  the result of the fallback